VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo:
[legend]

## Public Member Functions

| BindImageMemoryDeviceGroupInfo (uint32_t deviceIndexCount_=0, const uint32_t *pDeviceIndices_=nullptr, uint32_t splitInstanceBindRegionCount_=0, const Rect2D *pSplitInstanceBindRegions_=nullptr)
| BindImageMemoryDeviceGroupInfo (VkBindImageMemoryDeviceGroupInfo const &rhs)
BindImageMemoryDeviceGroupInfo & | operator= (VkBindImageMemoryDeviceGroupInfo const &rhs)
BindImageMemoryDeviceGroupInfo & | setPNext (const void *pNext_)
BindImageMemoryDeviceGroupInfo & | setDeviceIndexCount (uint32_t deviceIndexCount_)
BindImageMemoryDeviceGroupInfo & | setPDeviceIndices (const uint32_t *pDeviceIndices_)
BindImageMemoryDeviceGroupInfo & | setSplitInstanceBindRegionCount (uint32_t splitInstanceBindRegionCount_)
BindImageMemoryDeviceGroupInfo & | setPSplitInstanceBindRegions (const Rect2D *pSplitInstanceBindRegions_)
| operator VkBindImageMemoryDeviceGroupInfo const & () const
| operator VkBindImageMemoryDeviceGroupInfo & ()
bool | operator== (BindImageMemoryDeviceGroupInfo const &rhs) const
bool | operator!= (BindImageMemoryDeviceGroupInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | deviceIndexCount
const uint32_t * | pDeviceIndices
uint32_t | splitInstanceBindRegionCount
const Rect2D * | pSplitInstanceBindRegions

## Private Attributes

StructureType | sType = StructureType::eBindImageMemoryDeviceGroupInfo

## Detailed Description

Definition at line 14430 of file vulkan.hpp.

## Constructor & Destructor Documentation

## BindImageMemoryDeviceGroupInfo() [1/2]

VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::BindImageMemoryDeviceGroupInfo | ( | uint32_t | deviceIndexCount_ = `0`,
|  | const uint32_t * | pDeviceIndices_ = `nullptr`,
|  | uint32_t | splitInstanceBindRegionCount_ = `0`,
|  | const Rect2D * | pSplitInstanceBindRegions_ = `nullptr`
| ) |  |

inline

Definition at line 14432 of file vulkan.hpp.

: deviceIndexCount( deviceIndexCount_ )
, pDeviceIndices( pDeviceIndices_ )
, splitInstanceBindRegionCount( splitInstanceBindRegionCount_ )
, pSplitInstanceBindRegions( pSplitInstanceBindRegions_ )
{
}

## BindImageMemoryDeviceGroupInfo() [2/2]

VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::BindImageMemoryDeviceGroupInfo | ( | VkBindImageMemoryDeviceGroupInfo const & | rhs | ) |

inline

Definition at line 14443 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImageMemoryDeviceGroupInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkBindImageMemoryDeviceGroupInfo &()

VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::operator VkBindImageMemoryDeviceGroupInfo & | ( |  | ) |

inline

Definition at line 14488 of file vulkan.hpp.

{
return *reinterpret_cast<VkBindImageMemoryDeviceGroupInfo*>(this);
}

## operator VkBindImageMemoryDeviceGroupInfo const &()

VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::operator VkBindImageMemoryDeviceGroupInfo const & | ( |  | ) | const

inline

Definition at line 14483 of file vulkan.hpp.

{
return *reinterpret_cast<const VkBindImageMemoryDeviceGroupInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::operator!= | ( | BindImageMemoryDeviceGroupInfo const & | rhs | ) | const

inline

Definition at line 14503 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

BindImageMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::operator= | ( | VkBindImageMemoryDeviceGroupInfo const & | rhs | ) |

inline

Definition at line 14448 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( BindImageMemoryDeviceGroupInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::operator== | ( | BindImageMemoryDeviceGroupInfo const & | rhs | ) | const

inline

Definition at line 14493 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( deviceIndexCount == rhs.deviceIndexCount )
&& ( pDeviceIndices == rhs.pDeviceIndices )
&& ( splitInstanceBindRegionCount == rhs.splitInstanceBindRegionCount )
&& ( pSplitInstanceBindRegions == rhs.pSplitInstanceBindRegions );
}

References deviceIndexCount, pDeviceIndices, pNext, pSplitInstanceBindRegions, splitInstanceBindRegionCount, and sType.

Referenced by operator!=().

## setDeviceIndexCount()

BindImageMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::setDeviceIndexCount | ( | uint32_t | deviceIndexCount_ | ) |

inline

Definition at line 14459 of file vulkan.hpp.

{
deviceIndexCount = deviceIndexCount_;
return *this;
}

References deviceIndexCount.

## setPDeviceIndices()

BindImageMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::setPDeviceIndices | ( | const uint32_t * | pDeviceIndices_ | ) |

inline

Definition at line 14465 of file vulkan.hpp.

{
pDeviceIndices = pDeviceIndices_;
return *this;
}

References pDeviceIndices.

## setPNext()

BindImageMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 14453 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPSplitInstanceBindRegions()

BindImageMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::setPSplitInstanceBindRegions | ( | const Rect2D * | pSplitInstanceBindRegions_ | ) |

inline

Definition at line 14477 of file vulkan.hpp.

{
pSplitInstanceBindRegions = pSplitInstanceBindRegions_;
return *this;
}

References pSplitInstanceBindRegions.

## setSplitInstanceBindRegionCount()

BindImageMemoryDeviceGroupInfo& VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::setSplitInstanceBindRegionCount | ( | uint32_t | splitInstanceBindRegionCount_ | ) |

inline

Definition at line 14471 of file vulkan.hpp.

{
splitInstanceBindRegionCount = splitInstanceBindRegionCount_;
return *this;
}

References splitInstanceBindRegionCount.

## Field Documentation

## deviceIndexCount

uint32_t VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::deviceIndexCount

Definition at line 14513 of file vulkan.hpp.

Referenced by operator==(), and setDeviceIndexCount().

## pDeviceIndices

const uint32_t* VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::pDeviceIndices

Definition at line 14514 of file vulkan.hpp.

Referenced by operator==(), and setPDeviceIndices().

## pNext

const void* VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::pNext = nullptr

Definition at line 14512 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pSplitInstanceBindRegions

const Rect2D* VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::pSplitInstanceBindRegions

Definition at line 14516 of file vulkan.hpp.

Referenced by operator==(), and setPSplitInstanceBindRegions().

## splitInstanceBindRegionCount

uint32_t VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::splitInstanceBindRegionCount

Definition at line 14515 of file vulkan.hpp.

Referenced by operator==(), and setSplitInstanceBindRegionCount().

## sType

StructureType VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::sType = StructureType::eBindImageMemoryDeviceGroupInfo

private

Definition at line 14509 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::deviceIndexCount
uint32_t deviceIndexCount
Definition: vulkan.hpp:14513
VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::pNext
const void * pNext
Definition: vulkan.hpp:14512
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::sType
StructureType sType
Definition: vulkan.hpp:14509
VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::splitInstanceBindRegionCount
uint32_t splitInstanceBindRegionCount
Definition: vulkan.hpp:14515
VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::operator==
bool operator==(BindImageMemoryDeviceGroupInfo const &rhs) const
Definition: vulkan.hpp:14493
VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::BindImageMemoryDeviceGroupInfo
BindImageMemoryDeviceGroupInfo(uint32_t deviceIndexCount_=0, const uint32_t *pDeviceIndices_=nullptr, uint32_t splitInstanceBindRegionCount_=0, const Rect2D *pSplitInstanceBindRegions_=nullptr)
Definition: vulkan.hpp:14432
VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::pSplitInstanceBindRegions
const Rect2D * pSplitInstanceBindRegions
Definition: vulkan.hpp:14516
VkBindImageMemoryDeviceGroupInfo
Definition: vulkan_core.h:4096
VULKAN_HPP_NAMESPACE::BindImageMemoryDeviceGroupInfo::pDeviceIndices
const uint32_t * pDeviceIndices
Definition: vulkan.hpp:14514